View Issue Details

IDProjectCategoryView StatusLast Update
0016381ScribusUser Interfacepublic2020-12-15 14:31
Reporterbubu Assigned Tojghali  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.5.7.svn 
Target VersionFixed in Version1.5.7.svn 
Summary0016381: Update main layout's margins for Style Manager
DescriptionThis patch unifies the main margins in the Style Manager. It is similar to 0016371.

Please see the attached patch and the before-after screenshot.

TagsNo tags attached.
PatchYes

Relationships

related to 0013499 new cannot resize style manager (Scribus doesn't respect netbook resolution) 
child of 0013906 acknowledged Metabug: UI enhancement proposals (1.5.x.svn) 

Activities

bubu

2020-12-08 22:39

reporter  

style_manager.diff (6,139 bytes)
diff --git a/scribus/ui/smcellstylewidget.ui b/scribus/ui/smcellstylewidget.ui
index 0801a83fd8dcf5c533b54b2df80c8af5566991ad..fc39266af3dd6a3be4aef105485a1ef974c9009c 100644
--- a/scribus/ui/smcellstylewidget.ui
+++ b/scribus/ui/smcellstylewidget.ui
@@ -128,7 +128,6 @@
    </item>
   </layout>
  </widget>
- <layoutdefault spacing="6" margin="11"/>
  <customwidgets>
   <customwidget>
    <class>SMColorCombo</class>
diff --git a/scribus/ui/smcstylewidget.ui b/scribus/ui/smcstylewidget.ui
index bb093625618a6c69003c2c8db266274a933ba601..c11b68773404e5878ecb355a3156edfca7763cda 100644
--- a/scribus/ui/smcstylewidget.ui
+++ b/scribus/ui/smcstylewidget.ui
@@ -851,7 +851,6 @@
    </item>
   </layout>
  </widget>
- <layoutdefault spacing="6" margin="11"/>
  <customwidgets>
   <customwidget>
    <class>SMScComboBox</class>
diff --git a/scribus/ui/smlinestylewidget.ui b/scribus/ui/smlinestylewidget.ui
index 80fc91d9dec2305f853b034f08787ea4be78ee3b..4555da3e8792a6d3b8b9ce3e36c903b123de28b8 100644
--- a/scribus/ui/smlinestylewidget.ui
+++ b/scribus/ui/smlinestylewidget.ui
@@ -272,7 +272,6 @@
    </item>
   </layout>
  </widget>
- <layoutdefault spacing="6" margin="11"/>
  <customwidgets>
   <customwidget>
    <class>LineCombo</class>
diff --git a/scribus/ui/smpstylewidget.ui b/scribus/ui/smpstylewidget.ui
index ba12a9aba5103450407ba91315fecf67e108eecd..fa9143c512c63202445ff6c5a079a12c3a72330f 100644
--- a/scribus/ui/smpstylewidget.ui
+++ b/scribus/ui/smpstylewidget.ui
@@ -1328,7 +1328,6 @@
    </item>
   </layout>
  </widget>
- <layoutdefault spacing="5" margin="5"/>
  <customwidgets>
   <customwidget>
    <class>SMScComboBox</class>
diff --git a/scribus/ui/smtablestylewidget.ui b/scribus/ui/smtablestylewidget.ui
index 645667f311b713f0cd9f1ae01c9813158a500eb6..693d593d319b9f12fbe019ca36c101b890e7a1fb 100644
--- a/scribus/ui/smtablestylewidget.ui
+++ b/scribus/ui/smtablestylewidget.ui
@@ -116,7 +116,6 @@
    </item>
   </layout>
  </widget>
- <layoutdefault spacing="6" margin="11"/>
  <customwidgets>
   <customwidget>
    <class>SMColorCombo</class>
diff --git a/scribus/ui/stylemanager.cpp b/scribus/ui/stylemanager.cpp
index 7fdd094c40efb9dc8f9ba7caadc85c0d086754e3..370543be1b35fc949e152f306e38047de14f4f6e 100644
--- a/scribus/ui/stylemanager.cpp
+++ b/scribus/ui/stylemanager.cpp
@@ -1371,6 +1371,7 @@ void StyleManager::loadType(const QString &name)
 	//insertShortcutPage(m_widget);
 	//>>
 	m_widget->setParent(mainFrame);
+	m_layout->setContentsMargins(0,0,0,0);
 	m_layout->addWidget(m_widget, 0, 0);
 	layout()->activate();
 	m_widget->resize(m_widget->minimumSizeHint());
diff --git a/scribus/ui/stylemanager.ui b/scribus/ui/stylemanager.ui
index 22ec646783a072674a263807a8c2eb452aee9e73..df02987742b66e464e1ff5c426ba67ec7cd12c9d 100644
--- a/scribus/ui/stylemanager.ui
+++ b/scribus/ui/stylemanager.ui
@@ -25,8 +25,14 @@
   <layout class="QVBoxLayout" name="verticalLayout_2">
    <item>
     <layout class="QHBoxLayout" name="horizontalLayout">
+     <property name="spacing">
+      <number>9</number>
+     </property>
      <item>
       <layout class="QVBoxLayout" name="verticalLayout">
+       <property name="spacing">
+        <number>9</number>
+       </property>
        <item>
         <widget class="StyleView" name="styleView">
          <property name="sizePolicy">
@@ -86,6 +92,18 @@
           <number>0</number>
          </property>
          <layout class="QGridLayout" name="gridLayout">
+          <property name="leftMargin">
+           <number>0</number>
+          </property>
+          <property name="topMargin">
+           <number>0</number>
+          </property>
+          <property name="rightMargin">
+           <number>0</number>
+          </property>
+          <property name="bottomMargin">
+           <number>0</number>
+          </property>
           <item row="0" column="0">
            <widget class="QPushButton" name="newButton">
             <property name="sizePolicy">
@@ -203,7 +221,16 @@
         <property name="spacing">
          <number>0</number>
         </property>
-        <property name="margin">
+        <property name="leftMargin">
+         <number>0</number>
+        </property>
+        <property name="topMargin">
+         <number>0</number>
+        </property>
+        <property name="rightMargin">
+         <number>0</number>
+        </property>
+        <property name="bottomMargin">
          <number>0</number>
         </property>
         <item>
@@ -225,19 +252,22 @@
           </property>
           <layout class="QVBoxLayout">
            <property name="spacing">
+            <number>9</number>
+           </property>
+           <property name="leftMargin">
+            <number>0</number>
+           </property>
+           <property name="topMargin">
+            <number>0</number>
+           </property>
+           <property name="rightMargin">
             <number>0</number>
            </property>
-           <property name="margin">
+           <property name="bottomMargin">
             <number>0</number>
            </property>
            <item>
             <layout class="QHBoxLayout">
-             <property name="spacing">
-              <number>10</number>
-             </property>
-             <property name="margin">
-              <number>10</number>
-             </property>
              <item>
               <widget class="QLabel" name="nameLabel">
                <property name="text">
@@ -318,11 +348,20 @@
      <item>
       <layout class="QHBoxLayout">
        <property name="spacing">
-        <number>5</number>
-       </property>
-       <property name="margin">
         <number>6</number>
        </property>
+       <property name="leftMargin">
+        <number>0</number>
+       </property>
+       <property name="topMargin">
+        <number>0</number>
+       </property>
+       <property name="rightMargin">
+        <number>0</number>
+       </property>
+       <property name="bottomMargin">
+        <number>0</number>
+       </property>
        <item>
         <widget class="QPushButton" name="okButton">
          <property name="sizePolicy">
style_manager.diff (6,139 bytes)
style_manager.png (244,280 bytes)
style_manager.png (244,280 bytes)

jghali

2020-12-14 22:04

administrator   ~0048553

Applied, thanks! I added some more fixes in the character style tab for paragraph styles and in the font features tab for character styles.

PeterBenedek

2020-12-15 14:31

developer   ~0048567

Related: 0013499

Issue History

Date Modified Username Field Change
2020-12-08 22:39 bubu New Issue
2020-12-08 22:39 bubu File Added: style_manager.diff
2020-12-08 22:39 bubu File Added: style_manager.png
2020-12-12 16:53 PeterBenedek Relationship added child of 0013906
2020-12-14 07:54 PeterBenedek Summary Update main layout's margins for Style Manager => [Patch] Update main layout's margins for Style Manager
2020-12-14 22:03 jghali Summary [Patch] Update main layout's margins for Style Manager => Update main layout's margins for Style Manager
2020-12-14 22:04 jghali Assigned To => jghali
2020-12-14 22:04 jghali Status new => resolved
2020-12-14 22:04 jghali Resolution open => fixed
2020-12-14 22:04 jghali Fixed in Version => 1.5.7.svn
2020-12-14 22:04 jghali Note Added: 0048553
2020-12-15 13:46 PeterBenedek Relationship added related to 0013499
2020-12-15 14:31 PeterBenedek Note Added: 0048567